{
  "schema_version": "1.4.0",
  "id": "GHSA-83rc-g55p-8xj2",
  "modified": "2025-09-29T21:30:25Z",
  "published": "2025-09-29T18:33:13Z",
  "aliases": [
    "CVE-2025-51495"
  ],
  "details": "An integer overflow vulnerability exists in the WebSocket component of Mongoose 7.5 thru 7.17. By sending a specially crafted WebSocket request, an attacker can cause the application to crash. If downstream vendors integrate this component improperly, the issue may lead to a buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2025-51495"
    },
    {
      "type": "WEB",
      "url": "https://github.com/cesanta/mongoose/pull/3131"
    },
    {
      "type": "WEB",
      "url": "https://github.com/cainiao159357/CVE-2025-51495"
    },
    {
      "type": "WEB",
      "url": "https://github.com/cesanta/mongoose"
    },
    {
      "type": "WEB",
      "url": "http://mongoose.com"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-121"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2025-09-29T17:15:31Z"
  }
}